import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Sebuah game ber genre adventure mirip super mario, tetapi menggunakan karakter Castlevania
 * Untuk mengalahkan musuhnya cukup injak musuhnya saja seperti bermain super mario
 * ~Kelompok 3 ALPRO Ubhara~
 * Andi Alfian Efendi (1404 3009)
 * Rodik Syahriyah (1404 3105)
 * Aulia Urobbi (1404 3035)
 * Ayu Nur Qomaria (1404 3007)
 * Achmad Adam Firdaus (1404 3103)
 * 
 * @Beta version 0.3
 */
public class Stage extends ScrollingWorld
{
    private Princess Princess= new Princess();
    private Tile tile=new Tile();
    private MovingPlatform mp1=new MovingPlatform(300);
    private MovingPlatform mp2=new MovingPlatform(100);
    private MovingPlatform mp3=new MovingPlatform(110);
    private Malkil mk1=new Malkil(130);
    private Malkil mk2=new Malkil(110);
    private Malkil mk3=new Malkil(110);
    private Bat b1=new Bat(120);
    private Bat b2=new Bat(150);
    private Bat b3=new Bat(80);
    private Bat b4=new Bat(105);
    private Bat b5=new Bat(80);
    private Zombie z1=new Zombie(250);
    private Zombie z2=new Zombie(130);
    private Zombie z3=new Zombie(100);
    private Sky sky=new Sky();
    private boolean menu=true;
    private boolean levelCleared=true;
    public Stage() 
    {
        super(510, 325, 1, 6000, 1000);
        setScrollingBackground(new GreenfootImage("DarkCastle.jpg"));
        createLevel1();
        prepare();
        if(menu)
        {
            Menu m=new Menu();
            addObject(m, 255, 162);
            if(m.getIsDone())
                menu=false;
        }
    }
    public void createLevel1() 
    {
        addObject(new Hulg(), getWidth()/2, getHeight()/2);
        for(int x=8; x<=700; x=x+16)
        {
            FloorTile t=new FloorTile();
            addObject(t, x, 200);
        }
        addObject(mp1, 770, 179);
        for(int x=450; x<=530; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 145);
        }
        for(int x=550; x<=630; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 110);
        }
        addObject(mp2, 1150, 179);
        addObject(mp3, 1400, 179);
        for(int x=1800; x<=2120; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 179);
        }
        for(int x=1666; x<=1770; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 145); 
        }
        for(int x=1900; x<=2004; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 145);
        }
        for(int x=2004; x<=2116; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 110);
        }
        for(int x=2116; x<=2228; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 73);
        }
        for(int x=2228; x<=2340; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 110);
        }
        for(int x=2440; x<=2616; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 179);
        }
        for(int x=2716; x<=2828; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 145);
        }
        for(int x=2928; x<=2992; x=x+16)
        {
            Tile t=new Tile();
            addObject(t, x, 110);
        }
        addObject(mk1, 560, 178);
        addObject(mk2, 1800, 153);
        addObject(mk3, 2230, 85);
        addObject(b5, 452, 125);
        //addObject(b4, 1100, 150);
        addObject(b3, 2840, 128);
        addObject(b2, 1900, 60);
        //addObject(b1, 1800, 100);
        addObject(z2, 2480, 154);
        addObject(z3, 2120, 48);
    }
    private void prepare()
    {
        addObject(sky, 1000, 0);
        addObject(Princess, 2990, 86);
    }
}
