import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class Hulg here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Hulg extends ScrollingActor
{
    public boolean walkLeft;
    public boolean walkRight;
    public int jumpCount;
    public int downJumpCount;
    public boolean facingRight;
    public boolean facingLeft;
    public boolean jumping;
    public int xO;
    public int yO;
    public boolean set;
    public boolean goingDown;
    public int frame;
    GreenfootSound music;
    public Hulg() 
    {
        isDone=false;
        walkLeft=true;
        walkRight=true;
        jumpCount=0;
        downJumpCount=0;
        facingRight=true;
        facingLeft=false;
        jumping=false;
        set=true;
        music=new GreenfootSound("chapel.wav");
    }
    long startTime;
    public void act() 
    {
        if(set)
        {
            xO=getX();
            yO=getY();
            music.play();
            set=false;
        }
        if(!isDone&&Menu.getIsDone())
        {
            move();
            detectMovingPlatform();
            detectEnemy();
            if(yO>200)
                die();
        }
        endLevel();
    }
    public boolean canMoveLeft()
    {
        List<Player> other=getIntersectingObjects(Player.class);
        for(int i=0; i<other.size(); i++)
        {
            Player temp=other.get(i);
            if(temp.getX()+130>=getX()&&temp.getX()<getX()&&facingLeft&&(temp.getY()+14>=getY()&&temp.getY()-14<=getY()))
                return false;
        }
        return true;
    }
    public boolean canMoveRight()
    {
        List<Player> other=getIntersectingObjects(Player.class);
        for(int i=0; i<other.size(); i++)
        {
            Player temp=other.get(i);
            if(temp.getX()-130<=getX()&&temp.getX()>getX()&&facingRight&&(temp.getY()+14>=getY()&&temp.getY()-14<=getY()))
                return false;
        }
        return true;
    }
    public boolean canMoveDown()
    {
        List<Player> other=getIntersectingObjects(Player.class);
        if(other.size()>0)
        {
            for(int i=0; i<other.size(); i++)
            {
                Player temp=other.get(i);
                if(temp.getY()>=getY()&&temp.getX()+50>=getX()&&temp.getX()-50<=getX()&&temp instanceof MovingPlatform)
                    return false;
                if(temp.getY()>=getY()&&temp.getX()+14>=getX()&&temp.getX()-14<=getX())
                    return false;
            }
        }
        return true;
    }
    public boolean canMoveUp()
    {
        List<Player> other=getIntersectingObjects(Player.class);
        if(other.size()>0)
        {
            for(int i=0; i<other.size(); i++)
            {
                Player temp=other.get(i);
                if(temp.getY()<getY()&&temp.getX()+14>=getX()&&temp.getX()-14<=getX())
                    return false;
            }
        }
        return true;
    }
    public void detectMovingPlatform()
    {
    }
    public void move()
    {
        if(Greenfoot.isKeyDown("left"))
        {
            if(walkLeft)
            {
                setImage("hulg_walkL1.png");
                if(frame==10)
                {
                    walkLeft=false;
                    frame=0;
                }
            }
            else
            {
                setImage("hulg_walkL2.png");
                if(frame==10)
                {
                    walkLeft=true;
                    frame=0;
                }
            }
            if(canMoveLeft())
            {
                setLocation(getX()-2, getY());
                xO-=2;
            }
            facingLeft=true;
            facingRight=false;
            frame++;
        }
        if(Greenfoot.isKeyDown("right"))
        {
            if(walkRight)
            {
                setImage("hulg_walk1.png");
                if(frame==10)
                {
                    walkRight=false;
                    frame=0;
                }
            }
            else
            {
                setImage("hulg_walk2.png");
                if(frame==10)
                {
                    walkRight=true;
                    frame=0;
                }
            }
            if(canMoveRight())
            {
                setLocation(getX()+2, getY());
                xO+=2;
            }
            facingLeft=false;
            facingRight=true;
            frame++;
        }
        if(Greenfoot.isKeyDown("up")||jumpCount!=0)
        {
            jumping=true;
            if((canMoveUp()==false||jumpCount==30)&&canMoveDown())
                goingDown=true;
            else if(canMoveDown()==false)
                goingDown=false;
            if(jumpCount==0)
                jumping=false;
            if(jumping==false && canMoveDown())
            {
                setLocation(getX(), getY()+2);
                yO+=2;
                goingDown=true;
            }
            if(Greenfoot.isKeyDown("left")&&canMoveLeft())
            {
                if(jumpCount<30&&canMoveUp()&&goingDown==false)
                {
                    setLocation(getX()-1, getY()-2);
                    xO--;
                    yO-=2;
                    jumpCount++;
                    goingDown=false;
                }
                else if(canMoveDown()&&goingDown)
                {
                    setLocation(getX()-1, getY()+2);
                    xO--;
                    yO+=2;
                    goingDown=true;
                }
            }
            else if(Greenfoot.isKeyDown("right")&&canMoveRight())
            {
                if(jumpCount<30&&canMoveUp()&&goingDown==false)
                {
                    setLocation(getX()+1, getY()-2);
                    xO++;
                    yO-=2;
                    jumpCount++;
                    goingDown=false;
                }
                else if(canMoveDown()&&goingDown)
                {
                    setLocation(getX()+1, getY()+2);
                    xO++;
                    yO+=2;
                    goingDown=true;
                }
            }
            else if(jumpCount<30&&canMoveUp()&&!goingDown)
            {
                setLocation(getX(), getY()-2);
                yO-=2;
                jumpCount++;
                goingDown=false;
            }
            else if(canMoveDown())
            {
                setLocation(getX(), getY()+2);
                yO+=2;
                goingDown=true;
            }
            if(canMoveDown()==false)
                jumpCount=0;
        }
        else if(canMoveDown())
        {
            setLocation(getX(), getY()+2);
            yO+=2;
            goingDown=true;
        }
    }
    public void detectEnemy()
    {
        List<Enemy> enemies=getIntersectingObjects(Enemy.class); 
        if(enemies.size()>0)
        {
            if(onTopOfEnemy())
                kill();
            else if(enemies.get(0).getIsDead()==false)
                die();
        }
    }
    public boolean onTopOfEnemy()
    {
        List<Enemy> other=getIntersectingObjects(Enemy.class);
        if(other.size()>0)
        {
            for(int i=0; i<other.size(); i++)
            {
                Enemy temp=other.get(i);
                if(temp.getY()>=getY()&&temp.getX()+20>=getX()&&temp.getX()-20<=getX())
                    return true;
            }
        }
        return false;
    }
    public void kill()
    {
        List<Enemy> enemies=getIntersectingObjects(Enemy.class);
        for(int i=0; i<enemies.size(); i++)
            enemies.get(i).die();
    }
    public void die()
    {
        isDone=true;
        if(facingRight)
            setImage("hulgrightdead.png");
        else
            setImage("hulgleftdead.png");
        LoseScreen lose=new LoseScreen();
        Greenfoot.delay(10);
        getWorld().addObject(lose, 255, 160);
        music.stop();
        Greenfoot.playSound("game-over.wav");
    }
    static public boolean getIsDone()
    {
        return isDone;
    }
    private void endLevel()
    {
        if(isTouching(Princess.class))
        {
        isDone=true;
        WinScreen win=new WinScreen();
        Greenfoot.delay(10);
        getWorld().addObject(win, 255, 160);
        music.stop();
        Greenfoot.playSound("win.wav");
        }
    }public int getXO()
    {
        return xO;
    }
    public int getYO()
    {
        return yO;
    }
}
